Subject: [L2tpext] Updated to draft-ietf-l2tpext-keyed-v6-tunnel-yang

From: Ian Farrer <[email-masked]>
Date: Mon, 30 Oct 2017 15:11:46 +0100

Hi,

We’ve just posted an updated version of draft-ietf-l2tpext-keyed-v6-tunnel-yang. There are no major changes in this version (minor text cleanups, checked for YANG1.1 compliance). Whilst updating the draft, a few questions have come to light that I would appreciate feedback on the following points:

1, In the current model, we don’t create an entry in the if:interfaces list for the l2tpv3 tunnel which is being configured.

2, The feature that we have for bfd seem a little useless at the moment (you can turn it on, but no actual BFD configuration). draft-ietf-bfd-yang has the yang model for BFD, so it would be better to remove this from the keyed tunnel model and put a pointer to that draft in the description text.
However, if I am reading the BFD model correctly, it requires an entry in if:interfaces to attach the BFD configuration to, so this would point to restructuring the model to augment if:interfaces instead of the current structure

3, There is also a feature for vccv, which again just enables but provides no other config.  draft-chen-pals-pw-yang-02 models VCCV as part of a pseudowire, but looking at the structure of that, I don’t see any way that we could re-use only the VCCV part in our model. I’m not familiar with VCCV, so does anyone with more experience have a view on what the best way to tackle this is?

Any comments or suggestions appreciated.

Thanks,
Ian